#if !defined(AFX_LASTFILEDIALOG_H__117C6753_D456_4FA0_9B66_8450C22EDECC__INCLUDED_)
#define AFX_LASTFILEDIALOG_H__117C6753_D456_4FA0_9B66_8450C22EDECC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LastFileDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLastFileDialog dialog

class CLastFileDialog : public CFileDialog
{
	DECLARE_DYNAMIC(CLastFileDialog)

public:
	BOOL m_bLastFile;
	CString GetLastFileExt();
	CString GetLastFileName();
	
	CString m_strLastFileName;
	virtual void OnOK();

	CArray<CString , CString> m_arStr;
	void AddLastFile(CString strFile);
	void SaveLastFileName();
	void LoadLastFileName();


	CListBox* m_pList;
	virtual int DoModal();
	CLastFileDialog(BOOL bOpenFileDialog, // TRUE for FileOpen, FALSE for FileSaveAs
		LPCTSTR lpszDefExt = NULL,
		LPCTSTR lpszFileName = NULL,
		DWORD dwFlags = OFN_HIDEREADONLY | OFN_OVERWRITEPROMPT,
		LPCTSTR lpszFilter = NULL,
		CWnd* pParentWnd = NULL);
			
protected:
	//{{AFX_MSG(CLastFileDialog)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnDblclkLastlist();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LASTFILEDIALOG_H__117C6753_D456_4FA0_9B66_8450C22EDECC__INCLUDED_)
